﻿/* Tabela PARAMGERAL: TABELA DE PARAMETROS GERAIS*/
/* Descrição: A trigger insere registros na tabela LOGOPERAVND a partir de alterações na tabela PARAMGERAL */
/* Objetivo: Gerar um log que vai registrar as alterações na PARAMGERAL,
             utilizando a tabela de Logs de Operações do VND*/
CREATE OR REPLACE TRIGGER LOG_VND_PARAMGERAL
AFTER DELETE OR INSERT OR UPDATE
ON PARAMGERAL FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(3000);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Inclusão, '2' - Alteração, '3' - Exclusão*/
   V_DESC       := '';
   V_ITPESQ     := '';
   V_NMOPERADOR := '';
   V_IDTIPOOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   IF UPDATING THEN
      IF NVL(:NEW.CDPARGERAL  ,'NULL') <> NVL(:OLD.CDPARGERAL  ,'NULL') THEN 
         V_DESC := 'CDPARGERAL ' || ' ' || NVL(:NEW.CDPARGERAL ,'' );
      END IF;
      IF NVL(:NEW.NMEMPGER ,'NULL') <> NVL(:OLD.NMEMPGER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMEMPGER ' || ' ' || NVL(:NEW.NMEMPGER,'' );
      END IF;
      IF NVL(:NEW.NMRSOCEMP ,'NULL') <> NVL(:OLD.NMRSOCEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NMRSOCEMP ' || ' ' || NVL(:NEW.NMRSOCEMP,'' );
      END IF;
      IF NVL(:NEW.NRCGCEMP ,'NULL') <> NVL(:OLD.NRCGCEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NRCGCEMP ' || ' ' || NVL(:NEW.NRCGCEMP,'' );
      END IF;
      IF NVL(:NEW.NRTELEMP ,'NULL') <> NVL(:OLD.NRTELEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NRTELEMP ' || ' ' || NVL(:NEW.NRTELEMP,'' );
      END IF;
      IF NVL(:NEW.NRRAMALEMP ,'NULL') <> NVL(:OLD.NRRAMALEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NRRAMALEMP ' || ' ' || NVL(:NEW.NRRAMALEMP,'' );
      END IF;
      IF NVL(:NEW.NRFAXEMP ,'NULL') <> NVL(:OLD.NRFAXEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NRFAXEMP ' || ' ' || NVL(:NEW.NRFAXEMP,'' );
      END IF;
      IF NVL(:NEW.DSENDEMP ,'NULL') <> NVL(:OLD.DSENDEMP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSENDEMP ' || ' ' || NVL(:NEW.DSENDEMP,'' );
      END IF;
      IF NVL(:NEW.NMBAIREMP ,'NULL') <> NVL(:OLD.NMBAIREMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NMBAIREMP ' || ' ' || NVL(:NEW.NMBAIREMP,'' );
      END IF;
      IF NVL(:NEW.NRCEPEMP ,'NULL') <> NVL(:OLD.NRCEPEMP ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'NRCEPEMP ' || ' ' || NVL(:NEW.NRCEPEMP,'' );
      END IF;
      IF NVL(:NEW.CDIDIOMA ,'NULL') <> NVL(:OLD.CDIDIOMA ,'NULL') THEN
          V_DESC := NVL(V_DESC, '') || ' ' || 'CDIDIOMA ' || ' ' || NVL(:NEW.CDIDIOMA,'' );
      END IF;
      IF NVL(:NEW.CDPICTPROD ,'NULL') <> NVL(:OLD.CDPICTPROD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTPROD ' || ' ' || NVL(:NEW.CDPICTPROD,'' );
      END IF;
      IF NVL(:NEW.CDPICTRECE ,'NULL') <> NVL(:OLD.CDPICTRECE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTRECE ' || ' ' || NVL(:NEW.CDPICTRECE,'' );
      END IF;
      IF NVL(:NEW.CDPICTSERV ,'NULL') <> NVL(:OLD.CDPICTSERV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTSERV ' || ' ' || NVL(:NEW.CDPICTSERV,'' );
      END IF;
      IF NVL(:NEW.CDPICTCFIS ,'NULL') <> NVL(:OLD.CDPICTCFIS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTCFIS ' || ' ' || NVL(:NEW.CDPICTCFIS,'' );
      END IF;      
      IF NVL(:NEW.CDPICTCCTB ,'NULL') <> NVL(:OLD.CDPICTCCTB ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTCCTB ' || ' ' || NVL(:NEW.CDPICTCCTB,'' );
      END IF;
      IF NVL(:NEW.CDPICTETAPA ,'NULL') <> NVL(:OLD.CDPICTETAPA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTETAPA ' || ' ' || NVL(:NEW.CDPICTETAPA,'' );
      END IF;
      IF NVL(:NEW.DTHRLIMPPVOO ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTHRLIMPPVOO ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTHRLIMPPVOO ' || ' ' || NVL(:NEW.DTHRLIMPPVOO,'' );
      END IF;
      IF NVL(:NEW.QTDIAATIVOS ,999999) <> NVL(:OLD.QTDIAATIVOS ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIAATIVOS ' || ' ' || NVL(:NEW.QTDIAATIVOS,'' );
      END IF;
      IF NVL(:NEW.NRINSESTEMP ,'NULL') <> NVL(:OLD.NRINSESTEMP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRINSESTEMP ' || ' ' || NVL(:NEW.NRINSESTEMP,'' );
      END IF;
      IF NVL(:NEW.CDPAIS ,'NULL') <> NVL(:OLD.CDPAIS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPAIS ' || ' ' || NVL(:NEW.CDPAIS,'' );
      END IF;
      IF NVL(:NEW.SGESTADO ,'NULL') <> NVL(:OLD.SGESTADO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'SGESTADO ' || ' ' || NVL(:NEW.SGESTADO,'' );
      END IF;
      IF NVL(:NEW.CDMUNICIPIO ,'NULL') <> NVL(:OLD.CDMUNICIPIO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDMUNICIPIO ' || ' ' || NVL(:NEW.CDMUNICIPIO,'' );
      END IF;
      IF NVL(:NEW.CDPICTPRAT ,'NULL') <> NVL(:OLD.CDPICTPRAT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTPRAT ' || ' ' || NVL(:NEW.CDPICTPRAT,'' );
      END IF;
      IF NVL(:NEW.CDPICTREFE ,'NULL') <> NVL(:OLD.CDPICTREFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTREFE ' || ' ' || NVL(:NEW.CDPICTREFE,'' );
      END IF;
      IF NVL(:NEW.CDPICTDIET ,'NULL') <> NVL(:OLD.CDPICTDIET ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTDIET ' || ' ' || NVL(:NEW.CDPICTDIET,'' );
      END IF;
      IF NVL(:NEW.CDPICTCFIN ,'NULL') <> NVL(:OLD.CDPICTCFIN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTCFIN ' || ' ' || NVL(:NEW.CDPICTCFIN,'' );
      END IF;     
      IF NVL(:NEW.CDPICTINSPEC ,'NULL') <> NVL(:OLD.CDPICTINSPEC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTINSPEC ' || ' ' || NVL(:NEW.CDPICTINSPEC,'' );
      END IF;       
      IF NVL(:NEW.CDPICTSGRU ,'NULL') <> NVL(:OLD.CDPICTSGRU ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTSGRU ' || ' ' || NVL(:NEW.CDPICTSGRU,'' );
      END IF;     
      IF NVL(:NEW.CDPICTESTAGI ,'NULL') <> NVL(:OLD.CDPICTESTAGI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTESTAGI ' || ' ' || NVL(:NEW.CDPICTESTAGI,'' );
      END IF;      
      IF NVL(:NEW.CDFILIAL ,'NULL') <> NVL(:OLD.CDFILIAL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIAL ' || ' ' || NVL(:NEW.CDFILIAL,'' );
      END IF;      
      IF NVL(:NEW.IDUTRPADCA ,'NULL') <> NVL(:OLD.IDUTRPADCA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTRPADCA ' || ' ' || NVL(:NEW.IDUTRPADCA,'' );
      END IF;      
      IF NVL(:NEW.CDNVBLPROD ,'NULL') <> NVL(:OLD.CDNVBLPROD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDNVBLPROD ' || ' ' || NVL(:NEW.CDNVBLPROD,'' );
      END IF;    
      IF NVL(:NEW.CDNVBLPRAT ,'NULL') <> NVL(:OLD.CDNVBLPRAT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDNVBLPRAT ' || ' ' || NVL(:NEW.CDNVBLPRAT,'' );
      END IF;    
      IF NVL(:NEW.CDNVBLREFE ,'NULL') <> NVL(:OLD.CDNVBLREFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDNVBLREFE ' || ' ' || NVL(:NEW.CDNVBLREFE,'' );
      END IF;    
      IF NVL(:NEW.CDNVBLDIET ,'NULL') <> NVL(:OLD.CDNVBLDIET ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDNVBLDIET ' || ' ' || NVL(:NEW.CDNVBLDIET,'' );
      END IF;    
      IF NVL(:NEW.CDNDPCAL ,'NULL') <> NVL(:OLD.CDNDPCAL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDNDPCAL ' || ' ' || NVL(:NEW.CDNDPCAL,'' );
      END IF;    
      IF NVL(:NEW.CDPROTEINA ,'NULL') <> NVL(:OLD.CDPROTEINA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPROTEINA ' || ' ' || NVL(:NEW.CDPROTEINA,'' );
      END IF;    
      IF NVL(:NEW.CDCALORIAS ,'NULL') <> NVL(:OLD.CDCALORIAS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCALORIAS ' || ' ' || NVL(:NEW.CDCALORIAS,'' );
      END IF;    
      IF NVL(:NEW.VRPEJURATRDI ,999999) <> NVL(:OLD.VRPEJURATRDI ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPEJURATRDI ' || ' ' || NVL(:NEW.VRPEJURATRDI,'' );
      END IF;    
      IF NVL(:NEW.QTDIABLOQCAR ,999999) <> NVL(:OLD.QTDIABLOQCAR ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIABLOQCAR ' || ' ' || NVL(:NEW.QTDIABLOQCAR,'' );
      END IF;   
      IF NVL(:NEW.QTBLOQNESTOP ,999999) <> NVL(:OLD.QTBLOQNESTOP ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTBLOQNESTOP ' || ' ' || NVL(:NEW.QTBLOQNESTOP,'' );
      END IF;
      IF NVL(:NEW.QTLIBENESTOR ,999999) <> NVL(:OLD.QTLIBENESTOR ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTLIBENESTOR ' || ' ' || NVL(:NEW.QTLIBENESTOR,'' );
      END IF;
      IF NVL(:NEW.IDCONSMINEFE ,'NULL') <> NVL(:OLD.IDCONSMINEFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSMINEFE ' || ' ' || NVL(:NEW.IDCONSMINEFE,'' );
      END IF;   
      IF NVL(:NEW.VRPECURVAA ,999999) <> NVL(:OLD.VRPECURVAA ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPECURVAA ' || ' ' || NVL(:NEW.VRPECURVAA,'' );
      END IF;  
      IF NVL(:NEW.VRPECURVAB ,999999) <> NVL(:OLD.VRPECURVAB ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPECURVAB ' || ' ' || NVL(:NEW.VRPECURVAB,'' );
      END IF; 
      IF NVL(:NEW.VRPECURVAC ,999999) <> NVL(:OLD.VRPECURVAC ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPECURVAC ' || ' ' || NVL(:NEW.VRPECURVAC,'' );
      END IF;
      IF NVL(:NEW.NRHRHOLDBOX ,'NULL') <> NVL(:OLD.NRHRHOLDBOX ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRHRHOLDBOX ' || ' ' || NVL(:NEW.NRHRHOLDBOX,'' );
      END IF;
      IF NVL(:NEW.NRNIVELRECE ,999999) <> NVL(:OLD.NRNIVELRECE ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRNIVELRECE ' || ' ' || NVL(:NEW.NRNIVELRECE,'' );
      END IF;
      IF NVL(:NEW.IDTPGERBREAK ,'NULL') <> NVL(:OLD.IDTPGERBREAK ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPGERBREAK ' || ' ' || NVL(:NEW.IDTPGERBREAK,'' );
      END IF;
      IF NVL(:NEW.DSPARAMFATGE ,'NULL') <> NVL(:OLD.DSPARAMFATGE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSPARAMFATGE ' || ' ' || NVL(:NEW.DSPARAMFATGE,'' );
      END IF;
      IF NVL(:NEW.QTHRTROMESA ,'NULL') <> NVL(:OLD.QTHRTROMESA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTHRTROMESA ' || ' ' || NVL(:NEW.QTHRTROMESA,'' );
      END IF;
      IF NVL(:NEW.QTHRTROMESA1 ,'NULL') <> NVL(:OLD.QTHRTROMESA1 ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTHRTROMESA1 ' || ' ' || NVL(:NEW.QTHRTROMESA1,'' );
      END IF;
      IF NVL(:NEW.CDINDINFLAC ,'NULL') <> NVL(:OLD.CDINDINFLAC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDINDINFLAC ' || ' ' || NVL(:NEW.CDINDINFLAC,'' );
      END IF;
      IF NVL(:NEW.CDSETOR ,'NULL') <> NVL(:OLD.CDSETOR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSETOR ' || ' ' || NVL(:NEW.CDSETOR,'' );
      END IF;
      IF NVL(:NEW.IDUTCODBARRA ,'NULL') <> NVL(:OLD.IDUTCODBARRA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCODBARRA ' || ' ' || NVL(:NEW.IDUTCODBARRA,'' );
      END IF;
      IF NVL(:NEW.CDLIPIDIOS ,'NULL') <> NVL(:OLD.CDLIPIDIOS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLIPIDIOS ' || ' ' || NVL(:NEW.CDLIPIDIOS,'' );
      END IF;
      IF NVL(:NEW.CDGLICIDIOS ,'NULL') <> NVL(:OLD.CDGLICIDIOS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGLICIDIOS ' || ' ' || NVL(:NEW.CDGLICIDIOS,'' );
      END IF;
      IF NVL(:NEW.IDUTILDTPROC ,'NULL') <> NVL(:OLD.IDUTILDTPROC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILDTPROC ' || ' ' || NVL(:NEW.IDUTILDTPROC,'' );
      END IF;
      IF NVL(:NEW.IDUTCTRLACES ,'NULL') <> NVL(:OLD.IDUTCTRLACES ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCTRLACES ' || ' ' || NVL(:NEW.IDUTCTRLACES,'' );
      END IF; 
      IF NVL(:NEW.DTINIANACMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIANACMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIANACMP ' || ' ' || NVL(:NEW.DTINIANACMP,'' );
      END IF;
      IF NVL(:NEW.DTFIMANACMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMANACMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMANACMP ' || ' ' || NVL(:NEW.DTFIMANACMP,'' );
      END IF;
      IF NVL(:NEW.DTINICOMCMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINICOMCMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINICOMCMP ' || ' ' || NVL(:NEW.DTINICOMCMP,'' );
      END IF;
      IF NVL(:NEW.DTFIMCOMCMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMCOMCMP ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMCOMCMP ' || ' ' || NVL(:NEW.DTFIMCOMCMP,'' );
      END IF;
      IF NVL(:NEW.DTINIATUII ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIATUII ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIATUII ' || ' ' || NVL(:NEW.DTINIATUII,'' );
      END IF;
      IF NVL(:NEW.DTFIMATUII ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMATUII ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMATUII ' || ' ' || NVL(:NEW.DTFIMATUII,'' );
      END IF;
      IF NVL(:NEW.DTINIANTII ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIANTII ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIANTII ' || ' ' || NVL(:NEW.DTINIANTII,'' );
      END IF;
      IF NVL(:NEW.DTFIMANTII ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMANTII ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMANTII ' || ' ' || NVL(:NEW.DTFIMANTII,'' );
      END IF;
      IF NVL(:NEW.DTINIRISL ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIRISL ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIRISL ' || ' ' || NVL(:NEW.DTINIRISL,'' );
      END IF;
      IF NVL(:NEW.DTFIMRISL ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMRISL ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMRISL ' || ' ' || NVL(:NEW.DTFIMRISL,'' );
      END IF;
      IF NVL(:NEW.CDFASETRAM ,'NULL') <> NVL(:OLD.CDFASETRAM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFASETRAM ' || ' ' || NVL(:NEW.CDFASETRAM,'' );
      END IF;
      IF NVL(:NEW.DTINIORCFIN ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIORCFIN ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIORCFIN ' || ' ' || NVL(:NEW.DTINIORCFIN,'' );
      END IF;
      IF NVL(:NEW.DTFIMORCFIN ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMORCFIN ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMORCFIN ' || ' ' || NVL(:NEW.DTFIMORCFIN,'' );
      END IF;
      IF NVL(:NEW.DTINIENTSAID ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIENTSAID ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIENTSAID ' || ' ' || NVL(:NEW.DTINIENTSAID,'' );
      END IF;
      IF NVL(:NEW.DTFIMENTSAID ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMENTSAID ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMENTSAID ' || ' ' || NVL(:NEW.DTFIMENTSAID,'' );
      END IF;
      IF NVL(:NEW.DTINIATUCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIATUCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIATUCFAT ' || ' ' || NVL(:NEW.DTINIATUCFAT,'' );
      END IF;
      IF NVL(:NEW.DTFIMATUCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMATUCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMATUCFAT ' || ' ' || NVL(:NEW.DTFIMATUCFAT,'' );
      END IF;
      IF NVL(:NEW.DTINIANTCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTINIANTCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTINIANTCFAT ' || ' ' || NVL(:NEW.DTINIANTCFAT,'' );
      END IF;
      IF NVL(:NEW.DTFIMANTCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTFIMANTCFAT ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTFIMANTCFAT ' || ' ' || NVL(:NEW.DTFIMANTCFAT,'' );
      END IF;
      IF NVL(:NEW.IDEXCLANCTB ,'NULL') <> NVL(:OLD.IDEXCLANCTB ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXCLANCTB ' || ' ' || NVL(:NEW.IDEXCLANCTB,'' );
      END IF;        
      IF NVL(:NEW.IDSISDOS ,'NULL') <> NVL(:OLD.IDSISDOS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSISDOS ' || ' ' || NVL(:NEW.IDSISDOS,'' );
      END IF;        
      IF NVL(:NEW.IDLICUSODFS ,'NULL') <> NVL(:OLD.IDLICUSODFS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLICUSODFS ' || ' ' || NVL(:NEW.IDLICUSODFS,'' );
      END IF;       
      IF NVL(:NEW.CDENCADESC ,'NULL') <> NVL(:OLD.CDENCADESC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDENCADESC ' || ' ' || NVL(:NEW.CDENCADESC,'' );
      END IF;      
      IF NVL(:NEW.CDGROPERRESE ,'NULL') <> NVL(:OLD.CDGROPERRESE ,'NULL') THEN
      V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERRESE ' || ' ' || NVL(:NEW.CDGROPERRESE,'' );
      END IF;    
      IF NVL(:NEW.CDGROPERREEX ,'NULL') <> NVL(:OLD.CDGROPERREEX ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERREEX ' || ' ' || NVL(:NEW.CDGROPERREEX,'' );
      END IF;       
      IF NVL(:NEW.DTVALLANCTO ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTVALLANCTO ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTVALLANCTO ' || ' ' || NVL(:NEW.DTVALLANCTO,'' );
      END IF;      
      IF NVL(:NEW.CDGROPERREPA ,'NULL') <> NVL(:OLD.CDGROPERREPA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERREPA ' || ' ' || NVL(:NEW.CDGROPERREPA,'' );
      END IF;     
      IF NVL(:NEW.IDCONSFISCEN ,'NULL') <> NVL(:OLD.IDCONSFISCEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSFISCEN ' || ' ' || NVL(:NEW.IDCONSFISCEN,'' );
      END IF;    
      IF NVL(:NEW.IDCONSFISCSA ,'NULL') <> NVL(:OLD.IDCONSFISCSA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSFISCSA ' || ' ' || NVL(:NEW.IDCONSFISCSA,'' );
      END IF;     
      IF NVL(:NEW.VRPECOMICUST ,999999) <> NVL(:OLD.VRPECOMICUST ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPECOMICUST ' || ' ' || NVL(:NEW.VRPECOMICUST,'' );
      END IF;
      IF NVL(:NEW.DTULTATUBD ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUBD ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUBD ' || ' ' || NVL(:NEW.DTULTATUBD,'' );
      END IF;           
      IF NVL(:NEW.VRPETOLEVRAF ,999999) <> NVL(:OLD.VRPETOLEVRAF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPETOLEVRAF ' || ' ' || NVL(:NEW.VRPETOLEVRAF,'' );
      END IF;       
      IF NVL(:NEW.IDCONDTENTAF ,'NULL') <> NVL(:OLD.IDCONDTENTAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONDTENTAF ' || ' ' || NVL(:NEW.IDCONDTENTAF,'' );
      END IF;        
      IF NVL(:NEW.IDCONVRUNIAF ,'NULL') <> NVL(:OLD.IDCONVRUNIAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONVRUNIAF ' || ' ' || NVL(:NEW.IDCONVRUNIAF,'' );
      END IF;
      IF NVL(:NEW.IDCONFORNEAF ,'NULL') <> NVL(:OLD.IDCONFORNEAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONFORNEAF ' || ' ' || NVL(:NEW.IDCONFORNEAF,'' );
      END IF;
      IF NVL(:NEW.IDCONVENCAF ,'NULL') <> NVL(:OLD.IDCONVENCAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONVENCAF ' || ' ' || NVL(:NEW.IDCONVENCAF,'' );
      END IF;
      IF NVL(:NEW.IDCONQTDEAF ,'NULL') <> NVL(:OLD.IDCONQTDEAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONQTDEAF ' || ' ' || NVL(:NEW.IDCONQTDEAF,'' );
      END IF;
      IF NVL(:NEW.IDNFOUTRASNF ,'NULL') <> NVL(:OLD.IDNFOUTRASNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDNFOUTRASNF ' || ' ' || NVL(:NEW.IDNFOUTRASNF,'' );
      END IF;
      IF NVL(:NEW.NRDECITOTANF ,999999) <> NVL(:OLD.NRDECITOTANF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDECITOTANF ' || ' ' || NVL(:NEW.NRDECITOTANF,'' );
      END IF;         
      IF NVL(:NEW.VRFAIXTOLENF ,999999) <> NVL(:OLD.VRFAIXTOLENF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRFAIXTOLENF ' || ' ' || NVL(:NEW.VRFAIXTOLENF,'' );
      END IF;        
      IF NVL(:NEW.IDAVNFNREPEN ,'NULL') <> NVL(:OLD.IDAVNFNREPEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDAVNFNREPEN ' || ' ' || NVL(:NEW.IDAVNFNREPEN,'' );
      END IF;
      IF NVL(:NEW.IDAVNFNREPSA ,'NULL') <> NVL(:OLD.IDAVNFNREPSA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDAVNFNREPSA ' || ' ' || NVL(:NEW.IDAVNFNREPSA,'' );
      END IF;
      IF NVL(:NEW.IDBLOQVENPR ,'NULL') <> NVL(:OLD.IDBLOQVENPR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQVENPR ' || ' ' || NVL(:NEW.IDBLOQVENPR,'' );
      END IF;
      IF NVL(:NEW.CDALCOOL ,'NULL') <> NVL(:OLD.CDALCOOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDALCOOL ' || ' ' || NVL(:NEW.CDALCOOL,'' );
      END IF;
      IF NVL(:NEW.CDCARBOHIDRA ,'NULL') <> NVL(:OLD.CDCARBOHIDRA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCARBOHIDRA ' || ' ' || NVL(:NEW.CDCARBOHIDRA,'' );
      END IF;
      IF NVL(:NEW.CDPROTANIMAL ,'NULL') <> NVL(:OLD.CDPROTANIMAL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPROTANIMAL ' || ' ' || NVL(:NEW.CDPROTANIMAL,'' );
      END IF;
      IF NVL(:NEW.CDPROTVEGETA ,'NULL') <> NVL(:OLD.CDPROTVEGETA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPROTVEGETA ' || ' ' || NVL(:NEW.CDPROTVEGETA,'' );
      END IF;
      IF NVL(:NEW.IDCONSORCFIN ,'NULL') <> NVL(:OLD.IDCONSORCFIN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSORCFIN ' || ' ' || NVL(:NEW.IDCONSORCFIN,'' );
      END IF; 
      IF NVL(:NEW.QTDIAAPRHRTR ,999999) <> NVL(:OLD.QTDIAAPRHRTR ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIAAPRHRTR ' || ' ' || NVL(:NEW.QTDIAAPRHRTR,'' );
      END IF;        
      IF NVL(:NEW.TXNMARQUREQU ,'NULL') <> NVL(:OLD.TXNMARQUREQU ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'TXNMARQUREQU ' || ' ' || NVL(:NEW.TXNMARQUREQU,'' );
      END IF;    
      IF NVL(:NEW.IDCOFERIBANC ,'NULL') <> NVL(:OLD.IDCOFERIBANC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCOFERIBANC ' || ' ' || NVL(:NEW.IDCOFERIBANC,'' );
      END IF;       
      IF NVL(:NEW.VRPETOLEQTAF ,999999) <> NVL(:OLD.VRPETOLEQTAF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'VRPETOLEQTAF ' || ' ' || NVL(:NEW.VRPETOLEQTAF,'' );
      END IF;        
      IF NVL(:NEW.IDBLOQCMPSAF ,'NULL') <> NVL(:OLD.IDBLOQCMPSAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCMPSAF ' || ' ' || NVL(:NEW.IDBLOQCMPSAF,'' );
      END IF;       
      IF NVL(:NEW.DTULTATUPGER ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUPGER ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPGER ' || ' ' || NVL(:NEW.DTULTATUPGER,'' );
      END IF;             
      IF NVL(:NEW.CDGROPERPDV ,'NULL') <> NVL(:OLD.CDGROPERPDV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERPDV ' || ' ' || NVL(:NEW.CDGROPERPDV,'' );
      END IF;       
      IF NVL(:NEW.IDTPLANCDESC ,'NULL') <> NVL(:OLD.IDTPLANCDESC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPLANCDESC ' || ' ' || NVL(:NEW.IDTPLANCDESC,'' );
      END IF;     
      IF NVL(:NEW.CDGROPERPDV1 ,'NULL') <> NVL(:OLD.CDGROPERPDV1 ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERPDV1 ' || ' ' || NVL(:NEW.CDGROPERPDV1,'' );
      END IF;
      IF NVL(:NEW.CDGROPERPROP ,'NULL') <> NVL(:OLD.CDGROPERPROP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERPROP ' || ' ' || NVL(:NEW.CDGROPERPROP,'' );
      END IF;
      IF NVL(:NEW.IDUTREIMPRNF ,'NULL') <> NVL(:OLD.IDUTREIMPRNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTREIMPRNF ' || ' ' || NVL(:NEW.IDUTREIMPRNF,'' );
      END IF;
      IF NVL(:NEW.CDGROPERPROR ,'NULL') <> NVL(:OLD.CDGROPERPROR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERPROR ' || ' ' || NVL(:NEW.CDGROPERPROR,'' );
      END IF;
      IF NVL(:NEW.CDFATRAMIWEB ,'NULL') <> NVL(:OLD.CDFATRAMIWEB ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFATRAMIWEB ' || ' ' || NVL(:NEW.CDFATRAMIWEB,'' );
      END IF;
      IF NVL(:NEW.IDUTAPROVMOD ,'NULL') <> NVL(:OLD.IDUTAPROVMOD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTAPROVMOD ' || ' ' || NVL(:NEW.IDUTAPROVMOD,'' );
      END IF;
      IF NVL(:NEW.IDEXTFOTOCLI ,'NULL') <> NVL(:OLD.IDEXTFOTOCLI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXTFOTOCLI ' || ' ' || NVL(:NEW.IDEXTFOTOCLI,'' );
      END IF;
      IF NVL(:NEW.CDATVPROFTAR ,'NULL') <> NVL(:OLD.CDATVPROFTAR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDATVPROFTAR ' || ' ' || NVL(:NEW.CDATVPROFTAR,'' );
      END IF;
      IF NVL(:NEW.CDATVPROFSOL ,'NULL') <> NVL(:OLD.CDATVPROFSOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDATVPROFSOL ' || ' ' || NVL(:NEW.CDATVPROFSOL,'' );
      END IF;
      IF NVL(:NEW.IDUTLBDCENTR ,'NULL') <> NVL(:OLD.IDUTLBDCENTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLBDCENTR ' || ' ' || NVL(:NEW.IDUTLBDCENTR,'' );
      END IF;
      IF NVL(:NEW.CDGROPERPROB ,'NULL') <> NVL(:OLD.CDGROPERPROB ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERPROB ' || ' ' || NVL(:NEW.CDGROPERPROB,'' );
      END IF;
      IF NVL(:NEW.CDTRECHEQPRE ,'NULL') <> NVL(:OLD.CDTRECHEQPRE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTRECHEQPRE ' || ' ' || NVL(:NEW.CDTRECHEQPRE,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCPAG ,'NULL') <> NVL(:OLD.IDUTLPROCPAG ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCPAG ' || ' ' || NVL(:NEW.IDUTLPROCPAG,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCREC ,'NULL') <> NVL(:OLD.IDUTLPROCREC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCREC ' || ' ' || NVL(:NEW.IDUTLPROCREC,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDTPCABECREL ,'NULL') <> NVL(:OLD.IDTPCABECREL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPCABECREL ' || ' ' || NVL(:NEW.IDTPCABECREL,'' );
      END IF;
      IF NVL(:NEW.CDFILIPADRAO ,'NULL') <> NVL(:OLD.CDFILIPADRAO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFILIPADRAO ' || ' ' || NVL(:NEW.CDFILIPADRAO,'' );
      END IF;
      IF NVL(:NEW.DSARQLOGOTIP ,'NULL') <> NVL(:OLD.DSARQLOGOTIP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSARQLOGOTIP ' || ' ' || NVL(:NEW.DSARQLOGOTIP,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;        
      IF NVL(:NEW.DTULTATUPGER ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTULTATUPGER ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTULTATUPGER ' || ' ' || NVL(:NEW.DTULTATUPGER,'' );
      END IF;     
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;       
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;
      IF NVL(:NEW.IDUTLPROCBCO ,'NULL') <> NVL(:OLD.IDUTLPROCBCO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLPROCBCO ' || ' ' || NVL(:NEW.IDUTLPROCBCO,'' );
      END IF;    
      IF NVL(:NEW.DTGERARQTRAD ,TO_DATE('01/01/0001','DD/MM/YYYY')) <> NVL(:OLD.DTGERARQTRAD ,TO_DATE('01/01/0001','DD/MM/YYYY')) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DTGERARQTRAD ' || ' ' || NVL(:NEW.DTGERARQTRAD,'' );
      END IF;  
      IF NVL(:NEW.IDUTSPADRFAI ,'NULL') <> NVL(:OLD.IDUTSPADRFAI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSPADRFAI ' || ' ' || NVL(:NEW.IDUTSPADRFAI,'' );
      END IF;       
      IF NVL(:NEW.IDBLOQCFOPNF ,'NULL') <> NVL(:OLD.IDBLOQCFOPNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQCFOPNF ' || ' ' || NVL(:NEW.IDBLOQCFOPNF,'' );
      END IF;
      IF NVL(:NEW.IDUTILINTNFG ,'NULL') <> NVL(:OLD.IDUTILINTNFG ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILINTNFG ' || ' ' || NVL(:NEW.IDUTILINTNFG,'' );
      END IF;
      IF NVL(:NEW.DSEMAISACVND ,'NULL') <> NVL(:OLD.DSEMAISACVND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAISACVND ' || ' ' || NVL(:NEW.DSEMAISACVND,'' );
      END IF;
      IF NVL(:NEW.DSEMAILAUVND ,'NULL') <> NVL(:OLD.DSEMAILAUVND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILAUVND ' || ' ' || NVL(:NEW.DSEMAILAUVND,'' );
      END IF;
      IF NVL(:NEW.CDSENHAUTVND ,'NULL') <> NVL(:OLD.CDSENHAUTVND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSENHAUTVND ' || ' ' || NVL(:NEW.CDSENHAUTVND,'' );
      END IF;
      IF NVL(:NEW.DSSMTPAUTVND ,'NULL') <> NVL(:OLD.DSSMTPAUTVND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSMTPAUTVND ' || ' ' || NVL(:NEW.DSSMTPAUTVND,'' );
      END IF;
      IF NVL(:NEW.IDUTCARDPADR ,'NULL') <> NVL(:OLD.IDUTCARDPADR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCARDPADR ' || ' ' || NVL(:NEW.IDUTCARDPADR,'' );
      END IF;
      IF NVL(:NEW.IDCALPREVREC ,'NULL') <> NVL(:OLD.IDCALPREVREC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALPREVREC ' || ' ' || NVL(:NEW.IDCALPREVREC,'' );
      END IF;
      IF NVL(:NEW.IDUTCTREMPEN ,'NULL') <> NVL(:OLD.IDUTCTREMPEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCTREMPEN ' || ' ' || NVL(:NEW.IDUTCTREMPEN,'' );
      END IF;
      IF NVL(:NEW.IDCACHPRODFI ,'NULL') <> NVL(:OLD.IDCACHPRODFI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCACHPRODFI ' || ' ' || NVL(:NEW.IDCACHPRODFI,'' );
      END IF;
      IF NVL(:NEW.IDUTILGERLOG ,'NULL') <> NVL(:OLD.IDUTILGERLOG ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILGERLOG ' || ' ' || NVL(:NEW.IDUTILGERLOG,'' );
      END IF;
      IF NVL(:NEW.IDDTBINFDTE ,'NULL') <> NVL(:OLD.IDDTBINFDTE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDTBINFDTE ' || ' ' || NVL(:NEW.IDDTBINFDTE,'' );
      END IF;
      IF NVL(:NEW.CDGRUPRODFAT ,'NULL') <> NVL(:OLD.CDGRUPRODFAT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGRUPRODFAT ' || ' ' || NVL(:NEW.CDGRUPRODFAT,'' );
      END IF;
      IF NVL(:NEW.IDUTPROPEMIS ,'NULL') <> NVL(:OLD.IDUTPROPEMIS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTPROPEMIS ' || ' ' || NVL(:NEW.IDUTPROPEMIS,'' );
      END IF;
      IF NVL(:NEW.IDEXIBDADORC ,'NULL') <> NVL(:OLD.IDEXIBDADORC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXIBDADORC ' || ' ' || NVL(:NEW.IDEXIBDADORC,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGCLIEFILI ,'NULL') <> NVL(:OLD.IDUTLOGCLIEFILI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGCLIEFILI ' || ' ' || NVL(:NEW.IDUTLOGCLIEFILI,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGCLIESERV ,'NULL') <> NVL(:OLD.IDUTLOGCLIESERV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGCLIESERV ' || ' ' || NVL(:NEW.IDUTLOGCLIESERV,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGLANCAMNF ,'NULL') <> NVL(:OLD.IDUTLOGLANCAMNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGLANCAMNF ' || ' ' || NVL(:NEW.IDUTLOGLANCAMNF,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGOPERESTO ,'NULL') <> NVL(:OLD.IDUTLOGOPERESTO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGOPERESTO ' || ' ' || NVL(:NEW.IDUTLOGOPERESTO,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGGERARNF ,'NULL') <> NVL(:OLD.IDUTLOGGERARNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGGERARNF ' || ' ' || NVL(:NEW.IDUTLOGGERARNF,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGCTRLACES ,'NULL') <> NVL(:OLD.IDUTLOGCTRLACES ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGCTRLACES ' || ' ' || NVL(:NEW.IDUTLOGCTRLACES,'' );
      END IF;
      IF NVL(:NEW.IDUTLOGPARAMETR ,'NULL') <> NVL(:OLD.IDUTLOGPARAMETR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTLOGPARAMETR ' || ' ' || NVL(:NEW.IDUTLOGPARAMETR,'' );
      END IF;
      IF NVL(:NEW.DSPREVCONSPDV ,'NULL') <> NVL(:OLD.DSPREVCONSPDV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSPREVCONSPDV ' || ' ' || NVL(:NEW.DSPREVCONSPDV,'' );
      END IF;
      IF NVL(:NEW.IDPERALTINSFORN ,'NULL') <> NVL(:OLD.IDPERALTINSFORN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERALTINSFORN ' || ' ' || NVL(:NEW.IDPERALTINSFORN,'' );
      END IF;
      IF NVL(:NEW.NRMAXDIASIMPAF ,999999) <> NVL(:OLD.NRMAXDIASIMPAF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMAXDIASIMPAF ' || ' ' || NVL(:NEW.NRMAXDIASIMPAF,'' );
      END IF;  
      IF NVL(:NEW.IDRESTRFILIOPER ,'NULL') <> NVL(:OLD.IDRESTRFILIOPER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRESTRFILIOPER ' || ' ' || NVL(:NEW.IDRESTRFILIOPER,'' );
      END IF;
      IF NVL(:NEW.IDUTPADRROP ,'NULL') <> NVL(:OLD.IDUTPADRROP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTPADRROP ' || ' ' || NVL(:NEW.IDUTPADRROP,'' );
      END IF;
      IF NVL(:NEW.NRMESHISTCARD ,999999) <> NVL(:OLD.NRMESHISTCARD ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRMESHISTCARD ' || ' ' || NVL(:NEW.NRMESHISTCARD,'' );
      END IF;  
      IF NVL(:NEW.IDCONSVLRMENAF ,'NULL') <> NVL(:OLD.IDCONSVLRMENAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSVLRMENAF ' || ' ' || NVL(:NEW.IDCONSVLRMENAF,'' );
      END IF;
      IF NVL(:NEW.IDUTRELACFORNAF ,'NULL') <> NVL(:OLD.IDUTRELACFORNAF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTRELACFORNAF ' || ' ' || NVL(:NEW.IDUTRELACFORNAF,'' );
      END IF;
      IF NVL(:NEW.IDPESQPRATNOME ,'NULL') <> NVL(:OLD.IDPESQPRATNOME ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPESQPRATNOME ' || ' ' || NVL(:NEW.IDPESQPRATNOME,'' );
      END IF;
      IF NVL(:NEW.CDPESQATEN ,'NULL') <> NVL(:OLD.CDPESQATEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPESQATEN ' || ' ' || NVL(:NEW.CDPESQATEN,'' );
      END IF;
      IF NVL(:NEW.CDPERGPESQATEN ,'NULL') <> NVL(:OLD.CDPERGPESQATEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPERGPESQATEN ' || ' ' || NVL(:NEW.CDPERGPESQATEN,'' );
      END IF;
      IF NVL(:NEW.DSDIRSALVCAT ,'NULL') <> NVL(:OLD.DSDIRSALVCAT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRSALVCAT ' || ' ' || NVL(:NEW.DSDIRSALVCAT,'' );
      END IF;
      IF NVL(:NEW.IDGRAVATGTABELA ,'NULL') <> NVL(:OLD.IDGRAVATGTABELA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGRAVATGTABELA ' || ' ' || NVL(:NEW.IDGRAVATGTABELA,'' );
      END IF;
      IF NVL(:NEW.IDPESQCOMPPROD ,'NULL') <> NVL(:OLD.IDPESQCOMPPROD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPESQCOMPPROD ' || ' ' || NVL(:NEW.IDPESQCOMPPROD,'' );
      END IF;
      IF NVL(:NEW.NREXEMEMISSAO ,'NULL') <> NVL(:OLD.NREXEMEMISSAO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NREXEMEMISSAO ' || ' ' || NVL(:NEW.NREXEMEMISSAO,'' );
      END IF;
      IF NVL(:NEW.DSULTPATCHERRO ,'NULL') <> NVL(:OLD.DSULTPATCHERRO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSULTPATCHERRO ' || ' ' || NVL(:NEW.DSULTPATCHERRO,'' );
      END IF;
      IF NVL(:NEW.IDBLQALTFILCENT ,'NULL') <> NVL(:OLD.IDBLQALTFILCENT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLQALTFILCENT ' || ' ' || NVL(:NEW.IDBLQALTFILCENT,'' );
      END IF;
      IF NVL(:NEW.NRDIASBLOQDTEMI ,999999) <> NVL(:OLD.NRDIASBLOQDTEMI ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASBLOQDTEMI ' || ' ' || NVL(:NEW.NRDIASBLOQDTEMI,'' );
      END IF;     
      IF NVL(:NEW.NRDIASAVISDTEMI ,999999) <> NVL(:OLD.NRDIASAVISDTEMI ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASAVISDTEMI ' || ' ' || NVL(:NEW.NRDIASAVISDTEMI,'' );
      END IF;     
      IF NVL(:NEW.IDEXPORTGRECENT ,'NULL') <> NVL(:OLD.IDEXPORTGRECENT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXPORTGRECENT ' || ' ' || NVL(:NEW.IDEXPORTGRECENT,'' );
      END IF;   
      IF NVL(:NEW.IDPEALTCARDSERV ,'NULL') <> NVL(:OLD.IDPEALTCARDSERV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPEALTCARDSERV ' || ' ' || NVL(:NEW.IDPEALTCARDSERV,'' );
      END IF;
      IF NVL(:NEW.CDPRODREDZTC ,'NULL') <> NVL(:OLD.CDPRODREDZTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODREDZTC ' || ' ' || NVL(:NEW.CDPRODREDZTC,'' );
      END IF;
      IF NVL(:NEW.CDDOCREDZTC ,'NULL') <> NVL(:OLD.CDDOCREDZTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDDOCREDZTC ' || ' ' || NVL(:NEW.CDDOCREDZTC,'' );
      END IF;
      IF NVL(:NEW.IDIMPREDZTC ,'NULL') <> NVL(:OLD.IDIMPREDZTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPREDZTC ' || ' ' || NVL(:NEW.IDIMPREDZTC,'' );
      END IF;
      IF NVL(:NEW.IDINFCPFCNPJDFS ,'NULL') <> NVL(:OLD.IDINFCPFCNPJDFS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFCPFCNPJDFS ' || ' ' || NVL(:NEW.IDINFCPFCNPJDFS,'' );
      END IF;
      IF NVL(:NEW.NRDIASBLOQNF ,999999) <> NVL(:OLD.NRDIASBLOQNF ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDIASBLOQNF ' || ' ' || NVL(:NEW.NRDIASBLOQNF,'' );
      END IF;  
      IF NVL(:NEW.IDPERCOMENSPRAT ,'NULL') <> NVL(:OLD.IDPERCOMENSPRAT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERCOMENSPRAT ' || ' ' || NVL(:NEW.IDPERCOMENSPRAT,'' );
      END IF;
      IF NVL(:NEW.IDUTTABPRECLVDC ,'NULL') <> NVL(:OLD.IDUTTABPRECLVDC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTTABPRECLVDC ' || ' ' || NVL(:NEW.IDUTTABPRECLVDC,'' );
      END IF;
      IF NVL(:NEW.IDUTAPURFILCENT ,'NULL') <> NVL(:OLD.IDUTAPURFILCENT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTAPURFILCENT ' || ' ' || NVL(:NEW.IDUTAPURFILCENT,'' );
      END IF;
      IF NVL(:NEW.IDRECUPICMSOL ,'NULL') <> NVL(:OLD.IDRECUPICMSOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRECUPICMSOL ' || ' ' || NVL(:NEW.IDRECUPICMSOL,'' );
      END IF;
      IF NVL(:NEW.CDENCDESCBONDEV ,'NULL') <> NVL(:OLD.CDENCDESCBONDEV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDENCDESCBONDEV ' || ' ' || NVL(:NEW.CDENCDESCBONDEV,'' );
      END IF;
      IF NVL(:NEW.IDCONTAJUDTCOMP ,'NULL') <> NVL(:OLD.IDCONTAJUDTCOMP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTAJUDTCOMP ' || ' ' || NVL(:NEW.IDCONTAJUDTCOMP,'' );
      END IF;
      IF NVL(:NEW.CDPRODCREDPESTC ,'NULL') <> NVL(:OLD.CDPRODCREDPESTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPRODCREDPESTC ' || ' ' || NVL(:NEW.CDPRODCREDPESTC,'' );
      END IF;
      IF NVL(:NEW.CDDOCCREDPESTC ,'NULL') <> NVL(:OLD.CDDOCCREDPESTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDDOCCREDPESTC ' || ' ' || NVL(:NEW.CDDOCCREDPESTC,'' );
      END IF;
      IF NVL(:NEW.IDIMPCREDPESTC ,'NULL') <> NVL(:OLD.IDIMPCREDPESTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPCREDPESTC ' || ' ' || NVL(:NEW.IDIMPCREDPESTC,'' );
      END IF;
      IF NVL(:NEW.CDACUCARES ,'NULL') <> NVL(:OLD.CDACUCARES ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDACUCARES ' || ' ' || NVL(:NEW.CDACUCARES,'' );
      END IF;
      IF NVL(:NEW.CDACIDGRAXOS ,'NULL') <> NVL(:OLD.CDACIDGRAXOS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDACIDGRAXOS ' || ' ' || NVL(:NEW.CDACIDGRAXOS,'' );
      END IF;
      IF NVL(:NEW.IDUTBLOQOPAFPG ,'NULL') <> NVL(:OLD.IDUTBLOQOPAFPG ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTBLOQOPAFPG ' || ' ' || NVL(:NEW.IDUTBLOQOPAFPG,'' );
      END IF;
      IF NVL(:NEW.IDUTEFETPAH ,'NULL') <> NVL(:OLD.IDUTEFETPAH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTEFETPAH ' || ' ' || NVL(:NEW.IDUTEFETPAH,'' );
      END IF;
      IF NVL(:NEW.IDIMPEFETPAH ,'NULL') <> NVL(:OLD.IDIMPEFETPAH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDIMPEFETPAH ' || ' ' || NVL(:NEW.IDIMPEFETPAH,'' );
      END IF;
      IF NVL(:NEW.IDMANCORCARDALT ,'NULL') <> NVL(:OLD.IDMANCORCARDALT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDMANCORCARDALT ' || ' ' || NVL(:NEW.IDMANCORCARDALT,'' );
      END IF;
      IF NVL(:NEW.IDGERENTOLAUT ,'NULL') <> NVL(:OLD.IDGERENTOLAUT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERENTOLAUT ' || ' ' || NVL(:NEW.IDGERENTOLAUT,'' );
      END IF;
      IF NVL(:NEW.IDUTENDMODFISC ,'NULL') <> NVL(:OLD.IDUTENDMODFISC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTENDMODFISC ' || ' ' || NVL(:NEW.IDUTENDMODFISC,'' );
      END IF;
      IF NVL(:NEW.IDSUGMODNF ,'NULL') <> NVL(:OLD.IDSUGMODNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSUGMODNF ' || ' ' || NVL(:NEW.IDSUGMODNF,'' );
      END IF;
      IF NVL(:NEW.IDGRAVATITABELA ,'NULL') <> NVL(:OLD.IDGRAVATITABELA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGRAVATITABELA ' || ' ' || NVL(:NEW.IDGRAVATITABELA,'' );
      END IF;
      IF NVL(:NEW.IDGERTIARQTXT ,'NULL') <> NVL(:OLD.IDGERTIARQTXT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERTIARQTXT ' || ' ' || NVL(:NEW.IDGERTIARQTXT,'' );
      END IF;
      IF NVL(:NEW.IDPARAMEMISRE ,'NULL') <> NVL(:OLD.IDPARAMEMISRE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPARAMEMISRE ' || ' ' || NVL(:NEW.IDPARAMEMISRE,'' );
      END IF;
      IF NVL(:NEW.IDBLOQAPRNFFORN ,'NULL') <> NVL(:OLD.IDBLOQAPRNFFORN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQAPRNFFORN ' || ' ' || NVL(:NEW.IDBLOQAPRNFFORN,'' );
      END IF;
      IF NVL(:NEW.IDOBRIGACLFISPR ,'NULL') <> NVL(:OLD.IDOBRIGACLFISPR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRIGACLFISPR ' || ' ' || NVL(:NEW.IDOBRIGACLFISPR,'' );
      END IF;
      IF NVL(:NEW.NRTELFAXSUPPER ,'NULL') <> NVL(:OLD.NRTELFAXSUPPER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRTELFAXSUPPER ' || ' ' || NVL(:NEW.NRTELFAXSUPPER,'' );
      END IF;
      IF NVL(:NEW.DSENDEMAILPER ,'NULL') <> NVL(:OLD.DSENDEMAILPER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSENDEMAILPER ' || ' ' || NVL(:NEW.DSENDEMAILPER,'' );
      END IF;
      IF NVL(:NEW.DSARQATUESTR ,'NULL') <> NVL(:OLD.DSARQATUESTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSARQATUESTR ' || ' ' || NVL(:NEW.DSARQATUESTR,'' );
      END IF;
      IF NVL(:NEW.IDUTINTMERCADUM ,'NULL') <> NVL(:OLD.IDUTINTMERCADUM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTINTMERCADUM ' || ' ' || NVL(:NEW.IDUTINTMERCADUM,'' );
      END IF;
      IF NVL(:NEW.DSIPPROXY ,'NULL') <> NVL(:OLD.DSIPPROXY ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSIPPROXY ' || ' ' || NVL(:NEW.DSIPPROXY,'' );
      END IF;
      IF NVL(:NEW.DSPROXYUSER ,'NULL') <> NVL(:OLD.DSPROXYUSER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSPROXYUSER ' || ' ' || NVL(:NEW.DSPROXYUSER,'' );
      END IF;
      IF NVL(:NEW.DSPROXYPASS ,'NULL') <> NVL(:OLD.DSPROXYPASS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSPROXYPASS ' || ' ' || NVL(:NEW.DSPROXYPASS,'' );
      END IF;
      IF NVL(:NEW.DSURLSOAP ,'NULL') <> NVL(:OLD.DSURLSOAP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSURLSOAP ' || ' ' || NVL(:NEW.DSURLSOAP,'' );
      END IF;
      IF NVL(:NEW.IDUTIPROXY ,'NULL') <> NVL(:OLD.IDUTIPROXY ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTIPROXY ' || ' ' || NVL(:NEW.IDUTIPROXY,'' );
      END IF;
      IF NVL(:NEW.TXHELPNFPSITE ,'NULL') <> NVL(:OLD.TXHELPNFPSITE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'TXHELPNFPSITE ' || ' ' || NVL(:NEW.TXHELPNFPSITE,'' );
      END IF;
      IF NVL(:NEW.TXHELPREFEXSITE ,'NULL') <> NVL(:OLD.TXHELPREFEXSITE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'TXHELPREFEXSITE ' || ' ' || NVL(:NEW.TXHELPREFEXSITE,'' );
      END IF;
      IF NVL(:NEW.NRDUPLINFS ,'NULL') <> NVL(:OLD.NRDUPLINFS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRDUPLINFS ' || ' ' || NVL(:NEW.NRDUPLINFS,'' );
      END IF;
      IF NVL(:NEW.IDOBRCHAVACES ,'NULL') <> NVL(:OLD.IDOBRCHAVACES ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRCHAVACES ' || ' ' || NVL(:NEW.IDOBRCHAVACES,'' );
      END IF;
      IF NVL(:NEW.NRPORTAAUTVND ,'NULL') <> NVL(:OLD.NRPORTAAUTVND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPORTAAUTVND ' || ' ' || NVL(:NEW.NRPORTAAUTVND,'' );
      END IF;
      IF NVL(:NEW.DSDIRDESTARQTC ,'NULL') <> NVL(:OLD.DSDIRDESTARQTC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRDESTARQTC ' || ' ' || NVL(:NEW.DSDIRDESTARQTC,'' );
      END IF;
      IF NVL(:NEW.IDORDPRIMDFENT ,'NULL') <> NVL(:OLD.IDORDPRIMDFENT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDORDPRIMDFENT ' || ' ' || NVL(:NEW.IDORDPRIMDFENT,'' );
      END IF;
      IF NVL(:NEW.IDORDPRIMDFSAI ,'NULL') <> NVL(:OLD.IDORDPRIMDFSAI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDORDPRIMDFSAI ' || ' ' || NVL(:NEW.IDORDPRIMDFSAI,'' );
      END IF;
      IF NVL(:NEW.IDUTDTPROCTNFE ,'NULL') <> NVL(:OLD.IDUTDTPROCTNFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDTPROCTNFE ' || ' ' || NVL(:NEW.IDUTDTPROCTNFE,'' );
      END IF;
      IF NVL(:NEW.IDUTSERTPOP ,'NULL') <> NVL(:OLD.IDUTSERTPOP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTSERTPOP ' || ' ' || NVL(:NEW.IDUTSERTPOP,'' );
      END IF;
      IF NVL(:NEW.IDPERALTCSTFENF ,'NULL') <> NVL(:OLD.IDPERALTCSTFENF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERALTCSTFENF ' || ' ' || NVL(:NEW.IDPERALTCSTFENF,'' );
      END IF;
      IF NVL(:NEW.IDTPIMPNFE ,'NULL') <> NVL(:OLD.IDTPIMPNFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPIMPNFE ' || ' ' || NVL(:NEW.IDTPIMPNFE,'' );
      END IF;
      IF NVL(:NEW.QTDIASREQOFFLINE ,999999) <> NVL(:OLD.QTDIASREQOFFLINE ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIASREQOFFLINE ' || ' ' || NVL(:NEW.QTDIASREQOFFLINE,'' );
      END IF;       
      IF NVL(:NEW.DSCDSPATHLOL ,'NULL') <> NVL(:OLD.DSCDSPATHLOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSCDSPATHLOL ' || ' ' || NVL(:NEW.DSCDSPATHLOL,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOPSAID ,'NULL') <> NVL(:OLD.IDENTRSAIDOPSAID ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOPSAID ' || ' ' || NVL(:NEW.IDENTRSAIDOPSAID,'' );
      END IF;      
      IF NVL(:NEW.CDOPERDEVOLSAID ,'NULL') <> NVL(:OLD.CDOPERDEVOLSAID ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERDEVOLSAID ' || ' ' || NVL(:NEW.CDOPERDEVOLSAID,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOPESTQ ,'NULL') <> NVL(:OLD.IDENTRSAIDOPESTQ ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOPESTQ ' || ' ' || NVL(:NEW.IDENTRSAIDOPESTQ,'' );
      END IF;
      IF NVL(:NEW.CDOPERDEVOLESTQ ,'NULL') <> NVL(:OLD.CDOPERDEVOLESTQ ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERDEVOLESTQ ' || ' ' || NVL(:NEW.CDOPERDEVOLESTQ,'' );
      END IF;
      IF NVL(:NEW.IDENTRSAIDOPENTR ,'NULL') <> NVL(:OLD.IDENTRSAIDOPENTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDENTRSAIDOPENTR ' || ' ' || NVL(:NEW.IDENTRSAIDOPENTR,'' );
      END IF;
      IF NVL(:NEW.CDOPERDEVOLENTR ,'NULL') <> NVL(:OLD.CDOPERDEVOLENTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDOPERDEVOLENTR ' || ' ' || NVL(:NEW.CDOPERDEVOLENTR,'' );
      END IF;
      IF NVL(:NEW.IDREPLNRDT ,'NULL') <> NVL(:OLD.IDREPLNRDT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDREPLNRDT ' || ' ' || NVL(:NEW.IDREPLNRDT,'' );
      END IF;
      IF NVL(:NEW.IDEMAILBLOQSENH ,'NULL') <> NVL(:OLD.IDEMAILBLOQSENH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEMAILBLOQSENH ' || ' ' || NVL(:NEW.IDEMAILBLOQSENH,'' );
      END IF;
      IF NVL(:NEW.DSEMAILBLOQSENH ,'NULL') <> NVL(:OLD.DSEMAILBLOQSENH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILBLOQSENH ' || ' ' || NVL(:NEW.DSEMAILBLOQSENH,'' );
      END IF;
      IF NVL(:NEW.IDUTCTRLFISENTR ,'NULL') <> NVL(:OLD.IDUTCTRLFISENTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCTRLFISENTR ' || ' ' || NVL(:NEW.IDUTCTRLFISENTR,'' );
      END IF;
      IF NVL(:NEW.IDUTCTRLFISSAID ,'NULL') <> NVL(:OLD.IDUTCTRLFISSAID ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCTRLFISSAID ' || ' ' || NVL(:NEW.IDUTCTRLFISSAID,'' );
      END IF;
      IF NVL(:NEW.IDUTFILCENTOBR ,'NULL') <> NVL(:OLD.IDUTFILCENTOBR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTFILCENTOBR ' || ' ' || NVL(:NEW.IDUTFILCENTOBR,'' );
      END IF; 
      IF NVL(:NEW.IDEMPDESTREPAUT ,'NULL') <> NVL(:OLD.IDEMPDESTREPAUT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEMPDESTREPAUT ' || ' ' || NVL(:NEW.IDEMPDESTREPAUT,'' );
      END IF;
      IF NVL(:NEW.IDCALCPESONF ,'NULL') <> NVL(:OLD.IDCALCPESONF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCALCPESONF ' || ' ' || NVL(:NEW.IDCALCPESONF,'' );
      END IF;
      IF NVL(:NEW.IDDTBINFDTESREC ,'NULL') <> NVL(:OLD.IDDTBINFDTESREC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDTBINFDTESREC ' || ' ' || NVL(:NEW.IDDTBINFDTESREC,'' );
      END IF;
      IF NVL(:NEW.IDREAUDPARFISC ,'NULL') <> NVL(:OLD.IDREAUDPARFISC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDREAUDPARFISC ' || ' ' || NVL(:NEW.IDREAUDPARFISC,'' );
      END IF;
      IF NVL(:NEW.IDBLOQSEMIMP ,'NULL') <> NVL(:OLD.IDBLOQSEMIMP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQSEMIMP ' || ' ' || NVL(:NEW.IDBLOQSEMIMP,'' );
      END IF;
      IF NVL(:NEW.DSINSTALLANGUAGE ,'NULL') <> NVL(:OLD.DSINSTALLANGUAGE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSINSTALLANGUAGE ' || ' ' || NVL(:NEW.DSINSTALLANGUAGE,'' );
      END IF;
      IF NVL(:NEW.IDPERLANCNFOUFI ,'NULL') <> NVL(:OLD.IDPERLANCNFOUFI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERLANCNFOUFI ' || ' ' || NVL(:NEW.IDPERLANCNFOUFI,'' );
      END IF;
      IF NVL(:NEW.IDUTILNFELANCNF ,'NULL') <> NVL(:OLD.IDUTILNFELANCNF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTILNFELANCNF ' || ' ' || NVL(:NEW.IDUTILNFELANCNF,'' );
      END IF;
      IF NVL(:NEW.DIAINIHORVER ,999999) <> NVL(:OLD.DIAINIHORVER ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DIAINIHORVER ' || ' ' || NVL(:NEW.DIAINIHORVER,'' );
      END IF;         
      IF NVL(:NEW.MESINIHORVER ,999999) <> NVL(:OLD.MESINIHORVER ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'MESINIHORVER ' || ' ' || NVL(:NEW.MESINIHORVER,'' );
      END IF;       
      IF NVL(:NEW.DIAFIMHORVER ,999999) <> NVL(:OLD.DIAFIMHORVER ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DIAFIMHORVER ' || ' ' || NVL(:NEW.DIAFIMHORVER,'' );
      END IF;     
      IF NVL(:NEW.MESFIMHORVER ,999999) <> NVL(:OLD.MESFIMHORVER ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'MESFIMHORVER ' || ' ' || NVL(:NEW.MESFIMHORVER,'' );
      END IF;
      IF NVL(:NEW.IDUTDTBCDTEMISS ,'NULL') <> NVL(:OLD.IDUTDTBCDTEMISS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTDTBCDTEMISS ' || ' ' || NVL(:NEW.IDUTDTBCDTEMISS,'' );
      END IF;
      IF NVL(:NEW.IDOBRNCMCADPR ,'NULL') <> NVL(:OLD.IDOBRNCMCADPR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRNCMCADPR ' || ' ' || NVL(:NEW.IDOBRNCMCADPR,'' );
      END IF;
      IF NVL(:NEW.IDGERNFIGUALXML ,'NULL') <> NVL(:OLD.IDGERNFIGUALXML ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDGERNFIGUALXML ' || ' ' || NVL(:NEW.IDGERNFIGUALXML,'' );
      END IF;
      IF NVL(:NEW.IDPERVISIMPSCRE ,'NULL') <> NVL(:OLD.IDPERVISIMPSCRE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERVISIMPSCRE ' || ' ' || NVL(:NEW.IDPERVISIMPSCRE,'' );
      END IF;
      IF NVL(:NEW.CDVENDEDORDLV ,'NULL') <> NVL(:OLD.CDVENDEDORDLV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDVENDEDORDLV ' || ' ' || NVL(:NEW.CDVENDEDORDLV,'' );
      END IF;
      IF NVL(:NEW.IDBLOQALTPROXML ,'NULL') <> NVL(:OLD.IDBLOQALTPROXML ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQALTPROXML ' || ' ' || NVL(:NEW.IDBLOQALTPROXML,'' );
      END IF;
      IF NVL(:NEW.IDDATACUSTOBI ,'NULL') <> NVL(:OLD.IDDATACUSTOBI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDATACUSTOBI ' || ' ' || NVL(:NEW.IDDATACUSTOBI,'' );
      END IF;
      IF NVL(:NEW.IDBLOQITNFAPUR ,'NULL') <> NVL(:OLD.IDBLOQITNFAPUR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLOQITNFAPUR ' || ' ' || NVL(:NEW.IDBLOQITNFAPUR,'' );
      END IF;
      IF NVL(:NEW.IDEXCONSATGER ,'NULL') <> NVL(:OLD.IDEXCONSATGER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXCONSATGER ' || ' ' || NVL(:NEW.IDEXCONSATGER,'' );
      END IF;
      IF NVL(:NEW.IDDTEMISDIFDTBC ,'NULL') <> NVL(:OLD.IDDTEMISDIFDTBC ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDDTEMISDIFDTBC ' || ' ' || NVL(:NEW.IDDTEMISDIFDTBC,'' );
      END IF;
      IF NVL(:NEW.CDGPOPINUNUM ,'NULL') <> NVL(:OLD.CDGPOPINUNUM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGPOPINUNUM ' || ' ' || NVL(:NEW.CDGPOPINUNUM,'' );
      END IF;
      IF NVL(:NEW.CDLOJAESITEF ,'NULL') <> NVL(:OLD.CDLOJAESITEF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJAESITEF ' || ' ' || NVL(:NEW.CDLOJAESITEF,'' );
      END IF;
      IF NVL(:NEW.IDVALIDAATEN ,'NULL') <> NVL(:OLD.IDVALIDAATEN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDVALIDAATEN ' || ' ' || NVL(:NEW.IDVALIDAATEN,'' );
      END IF;
      IF NVL(:NEW.CDGROPALTDTINI ,'NULL') <> NVL(:OLD.CDGROPALTDTINI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPALTDTINI ' || ' ' || NVL(:NEW.CDGROPALTDTINI,'' );
      END IF;
      IF NVL(:NEW.DSEMAILIRREGNFE ,'NULL') <> NVL(:OLD.DSEMAILIRREGNFE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILIRREGNFE ' || ' ' || NVL(:NEW.DSEMAILIRREGNFE,'' );
      END IF;
      IF NVL(:NEW.CDPICTBEM ,'NULL') <> NVL(:OLD.CDPICTBEM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTBEM ' || ' ' || NVL(:NEW.CDPICTBEM,'' );
      END IF;
      IF NVL(:NEW.CDPICTCLASSBEM ,'NULL') <> NVL(:OLD.CDPICTCLASSBEM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDPICTCLASSBEM ' || ' ' || NVL(:NEW.CDPICTCLASSBEM,'' );
      END IF;
      IF NVL(:NEW.DSDIRPATCH ,'NULL') <> NVL(:OLD.DSDIRPATCH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSDIRPATCH ' || ' ' || NVL(:NEW.DSDIRPATCH,'' );
      END IF;
      IF NVL(:NEW.IDUTIPPROXY ,'NULL') <> NVL(:OLD.IDUTIPPROXY ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTIPPROXY ' || ' ' || NVL(:NEW.IDUTIPPROXY,'' );
      END IF;
      IF NVL(:NEW.IDBLAPRLCTMAPBL ,'NULL') <> NVL(:OLD.IDBLAPRLCTMAPBL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDBLAPRLCTMAPBL ' || ' ' || NVL(:NEW.IDBLAPRLCTMAPBL,'' );
      END IF;
      IF NVL(:NEW.DSENDEINTEGRA ,'NULL') <> NVL(:OLD.DSENDEINTEGRA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSENDEINTEGRA ' || ' ' || NVL(:NEW.DSENDEINTEGRA,'' );
      END IF;
      IF NVL(:NEW.IDNFILTROINSCR ,'NULL') <> NVL(:OLD.IDNFILTROINSCR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDNFILTROINSCR ' || ' ' || NVL(:NEW.IDNFILTROINSCR,'' );
      END IF;
      IF NVL(:NEW.IDALERTAATRASO ,'NULL') <> NVL(:OLD.IDALERTAATRASO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDALERTAATRASO ' || ' ' || NVL(:NEW.IDALERTAATRASO,'' );
      END IF;
      IF NVL(:NEW.IDEXPINFSAP ,'NULL') <> NVL(:OLD.IDEXPINFSAP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDEXPINFSAP ' || ' ' || NVL(:NEW.IDEXPINFSAP,'' );
      END IF;
      IF NVL(:NEW.IDSUGTPOPER ,'NULL') <> NVL(:OLD.IDSUGTPOPER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDSUGTPOPER ' || ' ' || NVL(:NEW.IDSUGTPOPER,'' );
      END IF;
      IF NVL(:NEW.IDPELANIMPXML ,'NULL') <> NVL(:OLD.IDPELANIMPXML ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPELANIMPXML ' || ' ' || NVL(:NEW.IDPELANIMPXML,'' );
      END IF;
      IF NVL(:NEW.CDFIBRAS ,'NULL') <> NVL(:OLD.CDFIBRAS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDFIBRAS ' || ' ' || NVL(:NEW.CDFIBRAS,'' );
      END IF;
      IF NVL(:NEW.CDSODIO ,'NULL') <> NVL(:OLD.CDSODIO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSODIO ' || ' ' || NVL(:NEW.CDSODIO,'' );
      END IF;
      IF NVL(:NEW.IDOBRINFNRFUNMO ,'NULL') <> NVL(:OLD.IDOBRINFNRFUNMO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRINFNRFUNMO ' || ' ' || NVL(:NEW.IDOBRINFNRFUNMO,'' );
      END IF;
      IF NVL(:NEW.IDRESLANMANCAIX ,'NULL') <> NVL(:OLD.IDRESLANMANCAIX ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDRESLANMANCAIX ' || ' ' || NVL(:NEW.IDRESLANMANCAIX,'' );
      END IF;
      IF NVL(:NEW.IDTPOPERREF ,'NULL') <> NVL(:OLD.IDTPOPERREF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPOPERREF ' || ' ' || NVL(:NEW.IDTPOPERREF,'' );
      END IF;
      IF NVL(:NEW.CDTPOPERREF ,'NULL') <> NVL(:OLD.CDTPOPERREF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERREF ' || ' ' || NVL(:NEW.CDTPOPERREF,'' );
      END IF;
      IF NVL(:NEW.IDTPOPERPRESER ,'NULL') <> NVL(:OLD.IDTPOPERPRESER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPOPERPRESER ' || ' ' || NVL(:NEW.IDTPOPERPRESER,'' );
      END IF;
      IF NVL(:NEW.CDTPOPERPRESER ,'NULL') <> NVL(:OLD.CDTPOPERPRESER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOPERPRESER ' || ' ' || NVL(:NEW.CDTPOPERPRESER,'' );
      END IF;
      IF NVL(:NEW.QTDIASATRASOMSG ,999999) <> NVL(:OLD.QTDIASATRASOMSG ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIASATRASOMSG ' || ' ' || NVL(:NEW.QTDIASATRASOMSG,'' );
      END IF;    
      IF NVL(:NEW.QTDIASINATCLI ,999999) <> NVL(:OLD.QTDIASINATCLI ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIASINATCLI ' || ' ' || NVL(:NEW.QTDIASINATCLI,'' );
      END IF;  
      IF NVL(:NEW.QTDIASMSGEMAIL ,999999) <> NVL(:OLD.QTDIASMSGEMAIL ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'QTDIASMSGEMAIL ' || ' ' || NVL(:NEW.QTDIASMSGEMAIL,'' );
      END IF;    
      IF NVL(:NEW.DSMSGALERTAFIN ,'NULL') <> NVL(:OLD.DSMSGALERTAFIN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMSGALERTAFIN ' || ' ' || NVL(:NEW.DSMSGALERTAFIN,'' );
      END IF;
      IF NVL(:NEW.DSMSGALERTAEMAIL ,'NULL') <> NVL(:OLD.DSMSGALERTAEMAIL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMSGALERTAEMAIL ' || ' ' || NVL(:NEW.DSMSGALERTAEMAIL,'' );
      END IF;
      IF NVL(:NEW.CDCLIENTEFD ,'NULL') <> NVL(:OLD.CDCLIENTEFD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTEFD ' || ' ' || NVL(:NEW.CDCLIENTEFD,'' );
      END IF;
      IF NVL(:NEW.CDTIPOCONSFD ,'NULL') <> NVL(:OLD.CDTIPOCONSFD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTIPOCONSFD ' || ' ' || NVL(:NEW.CDTIPOCONSFD,'' );
      END IF;
      IF NVL(:NEW.CDCCUSCLIEFD ,'NULL') <> NVL(:OLD.CDCCUSCLIEFD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCCUSCLIEFD ' || ' ' || NVL(:NEW.CDCCUSCLIEFD,'' );
      END IF;
      IF NVL(:NEW.CDSENHAAUTVNDWEB ,'NULL') <> NVL(:OLD.CDSENHAAUTVNDWEB ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDSENHAAUTVNDWEB ' || ' ' || NVL(:NEW.CDSENHAAUTVNDWEB,'' );
      END IF;
      IF NVL(:NEW.NMLOJASITEF ,'NULL') <> NVL(:OLD.NMLOJASITEF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMLOJASITEF ' || ' ' || NVL(:NEW.NMLOJASITEF,'' );
      END IF;
      IF NVL(:NEW.CDLOJASITEF ,'NULL') <> NVL(:OLD.CDLOJASITEF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDLOJASITEF ' || ' ' || NVL(:NEW.CDLOJASITEF,'' );
      END IF;
      IF NVL(:NEW.DSEMAILCOPINADI ,'NULL') <> NVL(:OLD.DSEMAILCOPINADI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILCOPINADI ' || ' ' || NVL(:NEW.DSEMAILCOPINADI,'' );
      END IF;
      IF NVL(:NEW.IDPERAPROVNFXML ,'NULL') <> NVL(:OLD.IDPERAPROVNFXML ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERAPROVNFXML ' || ' ' || NVL(:NEW.IDPERAPROVNFXML,'' );
      END IF;
      IF NVL(:NEW.IDLOJAESITEF ,'NULL') <> NVL(:OLD.IDLOJAESITEF ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDLOJAESITEF ' || ' ' || NVL(:NEW.IDLOJAESITEF,'' );
      END IF;
      IF NVL(:NEW.DSSMTPCRIPT ,'NULL') <> NVL(:OLD.DSSMTPCRIPT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSMTPCRIPT ' || ' ' || NVL(:NEW.DSSMTPCRIPT,'' );
      END IF;
      IF NVL(:NEW.IDVISUNMPRCOD ,'NULL') <> NVL(:OLD.IDVISUNMPRCOD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDVISUNMPRCOD ' || ' ' || NVL(:NEW.IDVISUNMPRCOD,'' );
      END IF;
      IF NVL(:NEW.CDGROPERNMNCOD ,'NULL') <> NVL(:OLD.CDGROPERNMNCOD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERNMNCOD ' || ' ' || NVL(:NEW.CDGROPERNMNCOD,'' );
      END IF;
      IF NVL(:NEW.IDUTORIGPROD ,'NULL') <> NVL(:OLD.IDUTORIGPROD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTORIGPROD ' || ' ' || NVL(:NEW.IDUTORIGPROD,'' );
      END IF;
      IF NVL(:NEW.IDMODODLV ,'NULL') <> NVL(:OLD.IDMODODLV ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDMODODLV ' || ' ' || NVL(:NEW.IDMODODLV,'' );
      END IF;
      IF NVL(:NEW.IDINFPRODPRODUZ ,'NULL') <> NVL(:OLD.IDINFPRODPRODUZ ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINFPRODPRODUZ ' || ' ' || NVL(:NEW.IDINFPRODPRODUZ,'' );
      END IF;
      IF NVL(:NEW.NMENDWEBSER ,'NULL') <> NVL(:OLD.NMENDWEBSER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NMENDWEBSER ' || ' ' || NVL(:NEW.NMENDWEBSER,'' );
      END IF;
      IF NVL(:NEW.DSMENSRODAPETAA ,'NULL') <> NVL(:OLD.DSMENSRODAPETAA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSMENSRODAPETAA ' || ' ' || NVL(:NEW.DSMENSRODAPETAA,'' );
      END IF;
      IF NVL(:NEW.IDTPAUTHSMTP ,'NULL') <> NVL(:OLD.IDTPAUTHSMTP ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDTPAUTHSMTP ' || ' ' || NVL(:NEW.IDTPAUTHSMTP,'' );
      END IF;
      IF NVL(:NEW.DSSMTPSERVER ,'NULL') <> NVL(:OLD.DSSMTPSERVER ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSMTPSERVER ' || ' ' || NVL(:NEW.DSSMTPSERVER,'' );
      END IF;
      IF NVL(:NEW.NRSMTPPORT ,999999) <> NVL(:OLD.NRSMTPPORT ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRSMTPPORT ' || ' ' || NVL(:NEW.NRSMTPPORT,'' );
      END IF;         
      IF NVL(:NEW.IDPROTOCOLCRIPT ,'NULL') <> NVL(:OLD.IDPROTOCOLCRIPT ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPROTOCOLCRIPT ' || ' ' || NVL(:NEW.IDPROTOCOLCRIPT,'' );
      END IF;
      IF NVL(:NEW.DSSMTPLOGIN ,'NULL') <> NVL(:OLD.DSSMTPLOGIN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSMTPLOGIN ' || ' ' || NVL(:NEW.DSSMTPLOGIN,'' );
      END IF;
      IF NVL(:NEW.DSSMTPPASS ,'NULL') <> NVL(:OLD.DSSMTPPASS ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSMTPPASS ' || ' ' || NVL(:NEW.DSSMTPPASS,'' );
      END IF;
      IF NVL(:NEW.DSEMAILFROM ,'NULL') <> NVL(:OLD.DSEMAILFROM ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILFROM ' || ' ' || NVL(:NEW.DSEMAILFROM,'' );
      END IF;
      IF NVL(:NEW.REPORTURL ,'NULL') <> NVL(:OLD.REPORTURL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'REPORTURL ' || ' ' || NVL(:NEW.REPORTURL,'' );
      END IF;
      IF NVL(:NEW.JOBRUNNERURL ,'NULL') <> NVL(:OLD.JOBRUNNERURL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'JOBRUNNERURL ' || ' ' || NVL(:NEW.JOBRUNNERURL,'' );
      END IF;
      IF NVL(:NEW.CONSUMERURL ,'NULL') <> NVL(:OLD.CONSUMERURL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CONSUMERURL ' || ' ' || NVL(:NEW.CONSUMERURL,'' );
      END IF;
      IF NVL(:NEW.JOBRUNNERISWIND ,'NULL') <> NVL(:OLD.JOBRUNNERISWIND ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'JOBRUNNERISWIND ' || ' ' || NVL(:NEW.JOBRUNNERISWIND,'' );
      END IF;
      IF NVL(:NEW.REPORTPATH ,'NULL') <> NVL(:OLD.REPORTPATH ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'REPORTPATH ' || ' ' || NVL(:NEW.REPORTPATH,'' );
      END IF;
      IF NVL(:NEW.DSEMAILNOTIFICATION ,'NULL') <> NVL(:OLD.DSEMAILNOTIFICATION ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILNOTIFICATION ' || ' ' || NVL(:NEW.DSEMAILNOTIFICATION,'' );
      END IF;
      IF NVL(:NEW.IDNOTIFYADMINEMAIL ,'NULL') <> NVL(:OLD.IDNOTIFYADMINEMAIL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDNOTIFYADMINEMAIL ' || ' ' || NVL(:NEW.IDNOTIFYADMINEMAIL,'' );
      END IF;
      IF NVL(:NEW.URLLOGOCLIENTE ,'NULL') <> NVL(:OLD.URLLOGOCLIENTE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'URLLOGOCLIENTE ' || ' ' || NVL(:NEW.URLLOGOCLIENTE,'' );
      END IF;
      IF NVL(:NEW.IDUTCLOUD ,'NULL') <> NVL(:OLD.IDUTCLOUD ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDUTCLOUD ' || ' ' || NVL(:NEW.IDUTCLOUD,'' );
      END IF;
      IF NVL(:NEW.IDCONTROLARECCONTRATO ,'NULL') <> NVL(:OLD.IDCONTROLARECCONTRATO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONTROLARECCONTRATO ' || ' ' || NVL(:NEW.IDCONTROLARECCONTRATO,'' );
      END IF;
         IF NVL(:NEW.IDATIVO ,'NULL') <> NVL(:OLD.IDATIVO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATIVO ' || ' ' || NVL(:NEW.IDATIVO,'' );
      END IF;
      IF NVL(:NEW.CDGROPERRECCONTR ,'NULL') <> NVL(:OLD.CDGROPERRECCONTR ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDGROPERRECCONTR ' || ' ' || NVL(:NEW.CDGROPERRECCONTR,'' );
      END IF;
      IF NVL(:NEW.CDCLIENTE ,'NULL') <> NVL(:OLD.CDCLIENTE ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDCLIENTE ' || ' ' || NVL(:NEW.CDCLIENTE,'' );
      END IF;
      IF NVL(:NEW.NRPORTFTPOL ,999999) <> NVL(:OLD.NRPORTFTPOL ,999999) THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'NRPORTFTPOL ' || ' ' || NVL(:NEW.NRPORTFTPOL,'' );
      END IF;            
      IF NVL(:NEW.IDOBRIGDADOBANCFORN ,'NULL') <> NVL(:OLD.IDOBRIGDADOBANCFORN ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDOBRIGDADOBANCFORN ' || ' ' || NVL(:NEW.IDOBRIGDADOBANCFORN,'' );
      END IF;
      IF NVL(:NEW.IDINTEGRA ,'NULL') <> NVL(:OLD.IDINTEGRA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDINTEGRA ' || ' ' || NVL(:NEW.IDINTEGRA,'' );
      END IF;
      IF NVL(:NEW.DSUSERFTPOL ,'NULL') <> NVL(:OLD.DSUSERFTPOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSUSERFTPOL ' || ' ' || NVL(:NEW.DSUSERFTPOL,'' );
      END IF;
      IF NVL(:NEW.DSSENHAFTPOL ,'NULL') <> NVL(:OLD.DSSENHAFTPOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSSENHAFTPOL ' || ' ' || NVL(:NEW.DSSENHAFTPOL,'' );
      END IF;
      IF NVL(:NEW.DSRAIZEXPORTOL ,'NULL') <> NVL(:OLD.DSRAIZEXPORTOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSRAIZEXPORTOL ' || ' ' || NVL(:NEW.DSRAIZEXPORTOL,'' );
      END IF;
         IF NVL(:NEW.CDTPOOPRETORNO ,'NULL') <> NVL(:OLD.CDTPOOPRETORNO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOOPRETORNO ' || ' ' || NVL(:NEW.CDTPOOPRETORNO,'' );
      END IF;
      IF NVL(:NEW.CDTPOOPREMESSA ,'NULL') <> NVL(:OLD.CDTPOOPREMESSA ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'CDTPOOPREMESSA ' || ' ' || NVL(:NEW.CDTPOOPREMESSA,'' );
      END IF;
      IF NVL(:NEW.DSEMAILCLUSO ,'NULL') <> NVL(:OLD.DSEMAILCLUSO ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'DSEMAILCLUSO ' || ' ' || NVL(:NEW.DSEMAILCLUSO,'' );
      END IF;
      IF NVL(:NEW.IDATUPRODATIVFI ,'NULL') <> NVL(:OLD.IDATUPRODATIVFI ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDATUPRODATIVFI ' || ' ' || NVL(:NEW.IDATUPRODATIVFI,'' );
      END IF;
      IF NVL(:NEW.IDPERREPLICNFOL ,'NULL') <> NVL(:OLD.IDPERREPLICNFOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDPERREPLICNFOL ' || ' ' || NVL(:NEW.IDPERREPLICNFOL,'' );
      END IF;
      IF NVL(:NEW.IDCONSDATAFILDESTOL ,'NULL') <> NVL(:OLD.IDCONSDATAFILDESTOL ,'NULL') THEN
         V_DESC := NVL(V_DESC, '') || ' ' || 'IDCONSDATAFILDESTOL ' || ' ' || NVL(:NEW.IDCONSDATAFILDESTOL,'' );
      END IF;
   
      V_ITPESQ := :NEW.CDPARGERAL;
      V_IDTIPOOPER := '2';   
   END IF;
   V_DESC := SUBSTR(V_DESC, 1, 300);
   INSERT INTO LOGOPERAVND
      (NMTABELAVND,
       DTOPERACAOVND,
       NMRESPOPERVND,
       IDTIPOOPERVND,
       DSOPERACAOVND,
       CDPESQITEMVND,
       DSRDMUSUOPERVND,
       DSENDUSUOPERVND,
       DSNMUSUOPERVND,
       DSMETUSUOPERVND,
       CDORESPOPERVND)
   VALUES
      ('PARAMGERAL',
       SYSDATE, 
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       NVL(V_DESC,' '),
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER);
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('LOG_VND_PARAMGERAL','5.20.001'); END;
/
