/* Sistemas Integrados TECNISA
   Planejamento Alimentao Industrial

Nome:  7810_PLASTPO.SQL
REVISA_QTDE
Descrio: Alterao automtica das quantidades dos produtos das receitas

Parmetros de entrada:
P_NRLISTA    = Cdigo da tabela LISTA com chaves dos pratos
(CDLISTA = CDFILAUXPRAT + CDPRATO)
P_IDTIPORECE = Tipo da receita (P, L ou S)
P_IDOPCAO    = P - percentual ou G - Gramagem
P_VRVALOR    = valor informado pelo usurio conforme opcao (percentual ou gramagem)
P_CDFILIAL   = filial...
P_CDSERVFILI = ...e servio da receita

Descrio dos Campos das Tabelas de Receita:
QTPROD PRAT, -RECLOC, -RECSER  = Qtde. Lquida (un. da receita)
QTUNIDEST PR, -LO, -SE         = Qtde. Lquida na un. de estoque
QTBRUTA PRUNR, -LOUNR, -SEUNR  = Qtde. Bruta (un. da receita)
QTBRUTA PR, -LO, -SE           = Qtde. Requerida (bruta na un. de estoque)
QTCALCNUTR PR, -LO, -SE        = Qtde. p/ clculo nutricional (Requerida na un. de estoque)

Criao:

Dmaso - 25/10/2005
(solic. 24278)

*/

create or replace
PROCEDURE REVISA_QTDE
   (P_NRLISTA      IN VARCHAR2,
    P_IDTIPORECE   IN VARCHAR2,
    P_IDOPCAO      IN VARCHAR2,
    P_VRVALOR      IN NUMBER,
    P_CDFILIAL     IN VARCHAR2,
    P_CDSERVFILI   IN VARCHAR2,
    P_CDFILCENTPME IN VARCHAR2,
    P_CDTIPOCARD   IN VARCHAR2)
IS
   V_SOMARECE NUMBER;
   V_COUNT    NUMBER;
   V_COUNTP NUMBER;
BEGIN
   /* LOOP DA LISTA DE PRATOS */
   FOR C_LST IN
  (select CDPRATO, CDFILAUXPRAT
   from LISTA, PRATO
   where
      NRLISTA = P_NRLISTA and
      CDLISTA = CDFILAUXPRAT||CDPRATO)
   LOOP
      IF P_IDTIPORECE = 'P' THEN
      /* Atualiza qtdes da receita conforme valor informado */
         IF P_IDOPCAO = 'P' THEN
            SELECT NVL(ROUND(SUM(QTPADRAOPRAT), 5), 0)
            INTO V_COUNT
            FROM PRATPADR
            WHERE
               CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
               CDPRATO      = C_LST.CDPRATO;
            IF (V_COUNT > 0) THEN
               update
                  PRATPADR
               set
                  QTPADRAOPRAT = ROUND((NVL(QTPADRAOPRAT, 1) * P_VRVALOR), 5)
               where
                  CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                  CDPRATO      = C_LST.CDPRATO;
              update RECEPADR
              set
                QTPRODPRAT   = ROUND(QTPRODPRAT   * P_VRVALOR, 5),
                QTUNIDESTPR  = ROUND(QTUNIDESTPR  * P_VRVALOR, 5),
                QTBRUTAPR    = ROUND(QTBRUTAPR    * P_VRVALOR, 5),
                QTBRUTAPRUNR = ROUND(QTBRUTAPRUNR * P_VRVALOR, 5),
                QTCALCNUTRPR = ROUND(QTCALCNUTRPR * P_VRVALOR, 5)
              where
                CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                CDPRATO      = C_LST.CDPRATO      and
                NVL(IDQTDEFIXPR,'N')  = 'N'       and
                (QTPRODPRAT   * P_VRVALOR) >= 0.00001 and
                (QTBRUTAPR    * P_VRVALOR) >= 0.00001;
            END IF;
         ELSIF P_IDOPCAO = 'G' THEN
            select NVL(ROUND(SUM(QTPADRAOPRAT), 5), 0)
            into V_SOMARECE
            from PRATPADR
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO;

            select COUNT(CDPRATO)
            into V_COUNTP
            from PRATPADR
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO;

            IF (V_COUNTP = 0) THEN
                INSERT INTO PRATPADR
                       (CDFILAUXPRAT, CDPRATO, QTPADRAOPRAT)
                VALUES (C_LST.CDFILAUXPRAT, C_LST.CDPRATO, ROUND(P_VRVALOR, 5));
            ELSE
               UPDATE PRATPADR
                  SET QTPADRAOPRAT = ROUND(P_VRVALOR, 5)
                WHERE CDFILAUXPRAT = C_LST.CDFILAUXPRAT 
                  AND CDPRATO      = C_LST.CDPRATO;
            END IF;

            IF (V_SOMARECE > 0) THEN
               update
                  PRATPADR
               set
                  QTPADRAOPRAT = ROUND(P_VRVALOR, 5)
               where
                  CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                  CDPRATO      = C_LST.CDPRATO;
               update RECEPADR
               set
                 QTPRODPRAT   = ROUND(((P_VRVALOR * QTPRODPRAT  ) / V_SOMARECE), 5),
                 QTUNIDESTPR  = ROUND(((P_VRVALOR * QTUNIDESTPR ) / V_SOMARECE), 5),
                 QTBRUTAPR    = ROUND(((P_VRVALOR * QTBRUTAPR   ) / V_SOMARECE), 5),
                 QTBRUTAPRUNR = ROUND(((P_VRVALOR * QTBRUTAPRUNR) / V_SOMARECE), 5),
                 QTCALCNUTRPR = ROUND(((P_VRVALOR * QTCALCNUTRPR) / V_SOMARECE), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 NVL(IDQTDEFIXPR,'N')  = 'N'       and
                 (QTPRODPRAT   * P_VRVALOR) >= 0.00001 and
                 (QTBRUTAPR    * P_VRVALOR) >= 0.00001;
            END IF;
         END IF;
      END IF;
      IF P_IDTIPORECE = 'C' THEN
      /* Atualiza qtdes da receita conforme valor informado */
         IF P_IDOPCAO = 'P' THEN
            SELECT NVL(ROUND(SUM(QTPADRAOPRATTP), 5), 0)
            INTO V_COUNT
            FROM PRATTPCARD
            WHERE
               CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
               CDPRATO      = C_LST.CDPRATO and
               CDFILCENTPME = P_CDFILCENTPME and
               CDTIPOCARD   = P_CDTIPOCARD;
            IF (V_COUNT > 0) THEN
               update
                  PRATTPCARD
               set
                  QTPADRAOPRATTP = ROUND((NVL(QTPADRAOPRATTP, 1) * P_VRVALOR), 5)
               where
                  CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                  CDPRATO      = C_LST.CDPRATO and
                  CDFILCENTPME = P_CDFILCENTPME and
                  CDTIPOCARD   = P_CDTIPOCARD;
              update RECETPCARD
              set
                QTPRODPRATTP   = ROUND(QTPRODPRATTP   * P_VRVALOR, 5),
                QTUNIDESTPRTP  = ROUND(QTUNIDESTPRTP  * P_VRVALOR, 5),
                QTBRUTAPRTP    = ROUND(QTBRUTAPRTP    * P_VRVALOR, 5),
                QTBRUTAPRUNRTP = ROUND(QTBRUTAPRUNRTP * P_VRVALOR, 5),
                QTCALCNUTRPRTP = ROUND(QTCALCNUTRPRTP * P_VRVALOR, 5)
              where
                CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                CDPRATO      = C_LST.CDPRATO      and
                CDFILCENTPME = P_CDFILCENTPME     and
                CDTIPOCARD   = P_CDTIPOCARD       and
                NVL(IDQTDEFIXPRTP,'N')  = 'N'       and
                (QTPRODPRATTP   * P_VRVALOR) >= 0.00001 and
                (QTBRUTAPRTP    * P_VRVALOR) >= 0.00001;
            END IF;
         ELSIF P_IDOPCAO = 'G' THEN
            select NVL(ROUND(SUM(QTPADRAOPRATTP), 5), 0)
            into V_SOMARECE
            from PRATTPCARD
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO and
              CDFILCENTPME = P_CDFILCENTPME and
              CDTIPOCARD   = P_CDTIPOCARD;

            select COUNT(CDPRATO)
            into V_COUNTP
            from PRATTPCARD
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO and
              CDFILCENTPME = P_CDFILCENTPME and
              CDTIPOCARD   = P_CDTIPOCARD;

            IF (V_COUNTP = 0) THEN
                INSERT INTO PRATTPCARD
                       (CDFILAUXPRAT, CDPRATO, CDFILCENTPME, CDTIPOCARD, QTPADRAOPRATTP)
                VALUES (C_LST.CDFILAUXPRAT, C_LST.CDPRATO, P_CDFILCENTPME, P_CDTIPOCARD, ROUND(P_VRVALOR, 5));
            ELSE
               UPDATE PRATTPCARD
                  SET QTPADRAOPRATTP = ROUND(P_VRVALOR, 5)
                WHERE CDFILAUXPRAT = C_LST.CDFILAUXPRAT 
                  AND CDPRATO      = C_LST.CDPRATO
                  AND CDFILCENTPME = P_CDFILCENTPME 
                  AND CDTIPOCARD   = P_CDTIPOCARD;
            END IF;

            IF (V_SOMARECE > 0) THEN
               update
                  PRATTPCARD
               set
                  QTPADRAOPRATTP = ROUND(P_VRVALOR, 5)
               where
                  CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                  CDPRATO      = C_LST.CDPRATO and
                  CDFILCENTPME = P_CDFILCENTPME and
                  CDTIPOCARD   = P_CDTIPOCARD;
               update RECETPCARD
               set
                 QTPRODPRATTP   = ROUND(((P_VRVALOR * QTPRODPRATTP  ) / V_SOMARECE), 5),
                 QTUNIDESTPRTP  = ROUND(((P_VRVALOR * QTUNIDESTPRTP ) / V_SOMARECE), 5),
                 QTBRUTAPRTP    = ROUND(((P_VRVALOR * QTBRUTAPRTP   ) / V_SOMARECE), 5),
                 QTBRUTAPRUNRTP = ROUND(((P_VRVALOR * QTBRUTAPRUNRTP) / V_SOMARECE), 5),
                 QTCALCNUTRPRTP = ROUND(((P_VRVALOR * QTCALCNUTRPRTP) / V_SOMARECE), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILCENTPME = P_CDFILCENTPME     and
                 CDTIPOCARD   = P_CDTIPOCARD       and
                 NVL(IDQTDEFIXPRTP,'N')  = 'N'       and
                 (QTPRODPRATTP   * P_VRVALOR) >= 0.00001 and
                 (QTBRUTAPRTP    * P_VRVALOR) >= 0.00001;
            END IF;
         END IF;
      END IF;
      IF P_IDTIPORECE = 'L' THEN
         IF P_IDOPCAO = 'P' THEN
            SELECT NVL(ROUND(SUM(QTPADRAOFILI), 5), 0)
            INTO V_COUNT
            FROM PRATFILI
            WHERE
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL;
            IF (V_COUNT > 0) THEN
               update
                  PRATFILI
               set
                  QTPADRAOFILI = ROUND((NVL(QTPADRAOFILI, 1) * P_VRVALOR), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL;
               update RECEFILI
               set
                 QTPRODRECLOC = ROUND(QTPRODRECLOC * P_VRVALOR, 5),
                 QTUNIDESTLO  = ROUND(QTUNIDESTLO  * P_VRVALOR, 5),
                 QTBRUTALO    = ROUND(QTBRUTALO    * P_VRVALOR, 5),
                 QTBRUTALOUNR = ROUND(QTBRUTALOUNR * P_VRVALOR, 5),
                 QTCALCNUTRLO = ROUND(QTCALCNUTRLO * P_VRVALOR, 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 NVL(IDQTDEFIXLO,'N')  = 'N'       and
                 (QTPRODRECLOC * P_VRVALOR) >= 0.00001 and
                 (QTBRUTALO    * P_VRVALOR) >= 0.00001;
            END IF;
         ELSIF P_IDOPCAO = 'G' THEN
            select NVL(ROUND(SUM(QTPADRAOFILI), 5), 0)
            into V_SOMARECE
            from PRATFILI
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL;

            select COUNT(CDPRATO)
            into V_COUNTP
            from PRATFILI
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL;

            IF (V_COUNTP = 0) THEN
                INSERT INTO PRATFILI
                       (CDFILAUXPRAT, CDPRATO, CDFILIAL, QTPADRAOFILI)
                VALUES (C_LST.CDFILAUXPRAT, C_LST.CDPRATO, P_CDFILIAL, ROUND(P_VRVALOR, 5));
            ELSE
               UPDATE PRATFILI
                  SET QTPADRAOFILI = ROUND(P_VRVALOR, 5)
                WHERE CDFILAUXPRAT = C_LST.CDFILAUXPRAT 
                  AND CDPRATO      = C_LST.CDPRATO
                  AND CDFILIAL     = P_CDFILIAL;
            END IF;

            IF (V_SOMARECE > 0) THEN
               update
                  PRATFILI
               set
                  QTPADRAOFILI = ROUND(P_VRVALOR, 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL;
               update RECEFILI
               set
                 QTPRODRECLOC = ROUND(((P_VRVALOR * QTPRODRECLOC) / V_SOMARECE), 5),
                 QTUNIDESTLO  = ROUND(((P_VRVALOR * QTUNIDESTLO ) / V_SOMARECE), 5),
                 QTBRUTALO    = ROUND(((P_VRVALOR * QTBRUTALO   ) / V_SOMARECE), 5),
                 QTBRUTALOUNR = ROUND(((P_VRVALOR * QTBRUTALOUNR) / V_SOMARECE), 5),
                 QTCALCNUTRLO = ROUND(((P_VRVALOR * QTCALCNUTRLO) / V_SOMARECE), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 NVL(IDQTDEFIXLO,'N')  = 'N'       and
                 (QTPRODRECLOC * P_VRVALOR) >= 0.00001 and
                 (QTBRUTALO    * P_VRVALOR) >= 0.00001;
            END IF;
         END IF;
      END IF;
      IF P_IDTIPORECE = 'S' THEN
         IF P_IDOPCAO = 'P' THEN
            SELECT NVL(ROUND(SUM(QTPADRAOSERV), 5), 0)
            INTO V_COUNT
            FROM PRATSERV
            WHERE
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL         and
              CDSERVFILI   = P_CDSERVFILI;
            IF (V_COUNT > 0) THEN
               update
                  PRATSERV
               set
                  QTPADRAOSERV = ROUND((NVL(QTPADRAOSERV, 1) * P_VRVALOR), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 CDSERVFILI   = P_CDSERVFILI;
               update RECESERV
               set
                 QTPRODRECSER = ROUND(QTPRODRECSER * P_VRVALOR, 5),
                 QTUNIDESTSE  = ROUND(QTUNIDESTSE  * P_VRVALOR, 5),
                 QTBRUTASE    = ROUND(QTBRUTASE    * P_VRVALOR, 5),
                 QTBRUTASEUNR = ROUND(QTBRUTASEUNR * P_VRVALOR, 5),
                 QTCALCNUTRSE = ROUND(QTCALCNUTRSE * P_VRVALOR, 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 CDSERVFILI   = P_CDSERVFILI       and
                 NVL(IDQTDEFIXSE,'N')  = 'N'       and
                 (QTPRODRECSER * P_VRVALOR) >= 0.00001 and
                 (QTBRUTASE    * P_VRVALOR) >= 0.00001;
            END IF;
         ELSIF P_IDOPCAO = 'G' THEN
            select NVL(ROUND(SUM(QTPADRAOSERV), 5), 0)
            into V_SOMARECE
            from PRATSERV
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL         and
              CDSERVFILI   = P_CDSERVFILI;

            select COUNT(CDPRATO)
            into V_COUNTP
            from PRATSERV
            where
              CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
              CDPRATO      = C_LST.CDPRATO      and
              CDFILIAL     = P_CDFILIAL         and
              CDSERVFILI   = P_CDSERVFILI;

            IF (V_COUNTP = 0) THEN
                INSERT INTO PRATSERV
                       (CDFILAUXPRAT, CDPRATO, CDFILIAL, CDSERVFILI, QTPADRAOSERV)
                VALUES (C_LST.CDFILAUXPRAT, C_LST.CDPRATO, P_CDFILIAL, P_CDSERVFILI, ROUND(P_VRVALOR, 5));
            ELSE
               UPDATE PRATSERV
                  SET QTPADRAOSERV = ROUND(P_VRVALOR, 5)
                WHERE CDFILAUXPRAT = C_LST.CDFILAUXPRAT 
                  AND CDPRATO      = C_LST.CDPRATO
                  AND CDFILIAL     = P_CDFILIAL
                  AND CDSERVFILI   = P_CDSERVFILI;
            END IF;

            IF (V_SOMARECE > 0) THEN
               update
                  PRATSERV
               set
                  QTPADRAOSERV = ROUND(P_VRVALOR, 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 CDSERVFILI   = P_CDSERVFILI;
               update RECESERV
               set
                 QTPRODRECSER = ROUND(((P_VRVALOR * QTPRODRECSER) / V_SOMARECE), 5),
                 QTUNIDESTSE  = ROUND(((P_VRVALOR * QTUNIDESTSE ) / V_SOMARECE), 5),
                 QTBRUTASE    = ROUND(((P_VRVALOR * QTBRUTASE   ) / V_SOMARECE), 5),
                 QTBRUTASEUNR = ROUND(((P_VRVALOR * QTBRUTASEUNR) / V_SOMARECE), 5),
                 QTCALCNUTRSE = ROUND(((P_VRVALOR * QTCALCNUTRSE) / V_SOMARECE), 5)
               where
                 CDFILAUXPRAT = C_LST.CDFILAUXPRAT and
                 CDPRATO      = C_LST.CDPRATO      and
                 CDFILIAL     = P_CDFILIAL         and
                 CDSERVFILI   = P_CDSERVFILI       and
                 NVL(IDQTDEFIXSE,'N')  = 'N'       and
                 (QTPRODRECSER * P_VRVALOR) >= 0.00001 and
                 (QTBRUTASE    * P_VRVALOR) >= 0.00001;
            END IF;
         END IF;
      END IF;
   END LOOP;
   COMMIT;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('REVISA_QTDE','5.09.000'); END;
/